Subject: Re: [PATCH 5/6] ibmvscsi: Remove unsupported host config MAD and sysfs interface

From: Johannes Thumshirn <[email-masked]>
Date: Fri, 5 Feb 2016 09:34:13 +0100

On Thu, Feb 04, 2016 at 09:48:23AM -0800, Tyrel Datwyler wrote:
> On 02/04/2016 12:03 AM, Johannes Thumshirn wrote:
> > On Wed, Feb 03, 2016 at 05:28:33PM -0600, Tyrel Datwyler wrote:
> >> A VIOSRP_HOST_CONFIG_TYPE management datagram (MAD) has existed in
> >> the code for some time. From what information I've gathered from
> >> Brian King this was likely implemented on the host side in a SLES 9
> >> based VIOS, which is no longer supported anywhere. Further, it is
> >> not defined in PAPR or supported by any AIX based VIOS.
> >>
> >> Treating as bit rot and removing the sysfs interface and associated
> >> host config code accordingly.
> > 
> > Doesn't removing a sysfs interface potentially break userspace code?
> > 
> 
> In the general case yes, but I feel in this case no. First, Reading from
> this config attribute of a vscsi host adapter always returns nothing.
> Second, any userspace code using this attribute better be checking for
> the existence of config. Just a quick look for
> /sys/class/scsi_host/host*/config under other host adapters on my system
> I find that attribute doesn't exist for any of them.
> 
> If there is truly enough concern that somebody may actually be accessing
> this useless attribute from userspace then we can still strip out the
> unsupported code, but leave the attribute and return nothing directly
> from the show function.

Which is what I kinda prefer. Slowly deprecate and phase out, but don't break
userspace. You never know who is writing some obscure piece of code relaying on
some sysfs attribute.

Thanks,
	Johannes

-- 
Johannes Thumshirn                                          Storage
[email-masked]                                +49 911 74053 689
SUSE LINUX GmbH, Maxfeldstr. 5, 90409 Nürnberg
GF: Felix Imendörffer, Jane Smithard, Graham Norton
HRB 21284 (AG Nürnberg)
Key fingerprint = EC38 9CAB C2C4 F25D 8600 D0D0 0393 969D 2D76 0850